# angular-cli

## Project creation

The tool is the mostly the same as ember-cli sans the nice animation.


## Production dependencies

#### @angular-cli/ast-tools

Subproject for working with ASTs

#### @angular/common

Angular - commonly needed directives and services

#### @angular/compiler

Angular - the compiler library

#### @angular/compiler-cli

Angular - the compiler CLI for Node.js

#### @angular/core

Angular - the core framework

#### @angular/platform-browser

Angular - library for using Angular in a web browser

#### @angular/platform-server

Angular - library for using Angular in Node.js

#### @angular/tsc-wrapped

Wraps the tsc CLI, allowing extensions.

#### angular2-template-loader

Angular2 webpack loader that inlines your angular2 templates and stylesheets into angular components.

#### awesome-typescript-loader

Awesome TS loader for webpack

#### chalk

Terminal string styling done right. Much color.

#### common-tags

a few common utility template tags for ES2015

#### compression-webpack-plugin

Prepare compressed versions of assets to serve them with Content-Encoding

#### copy-webpack-plugin

Copy files and directories in webpack

#### core-js

Standard library

#### css-loader

css loader module for webpack

#### denodeify

Tool to turn functions with Node-style callback APIs into functions that return Promises

#### ember-cli

Command line tool for developing ambitious ember.js apps

#### ember-cli-string-utils

string utils extracted for other addons and blueprints

#### enhanced-resolve

Offers a async require.resolve function. It's highly configurable.

#### exit

A replacement for process.exit that ensures stdio are fully drained before exiting.

#### exports-loader

exports loader module for webpack

#### expose-loader

expose loader module for webpack

#### file-loader

file-loader

#### fs-extra

fs-extra

#### fs.realpath

Use node's fs.realpath, but fall back to the JS implementation if the native one fails

#### glob

Match files using the patterns the shell uses, like stars and stuff.

#### handlebars

Handlebars provides the power necessary to let you build semantic templates effectively with no frustration

#### html-webpack-plugin

Simplifies creation of HTML files to serve your webpack bundles

#### istanbul-instrumenter-loader

Istanbul instrumenter loader for webpack

#### json-loader

json loader module for webpack

#### karma-sourcemap-loader

Karma plugin that locates and loads existing javascript source map files.

#### karma-webpack

Use webpack with karma

#### leek

Google Analytics tracking

#### less

Leaner CSS

#### less-loader

less loader module for webpack

#### lodash

The Lodash library exported as Node.js modules.

#### node-sass

Wrapper around libsass

#### npm-run-all

A CLI tool to run multiple npm-scripts in parallel or sequential.

#### offline-plugin

offline-plugin for webpack

#### opn

A better node-open. Opens stuff like websites, files, executables. Cross-platform.

#### parse5

WHATWG HTML5 specification-compliant, fast and ready for production HTML parsing/serialization toolset for Node.js

#### postcss-loader

PostCSS loader for webpack

#### protractor

Protractor is an end-to-end test framework for AngularJS applications. Protractor is a Node.js program built on top of WebDriverJS. Protractor runs tests against your application running in a real browser, interacting with it as a user would.

#### raw-loader

raw loader module for webpack

#### remap-istanbul

A tool for remapping Istanbul coverage via Source Maps

#### resolve

resolve like require.resolve() on behalf of files asynchronously and synchronously

#### rimraf

A deep deletion module for node (like <code>rm -rf</code>)

#### rxjs

Reactive Extensions for modern JavaScript

#### sass-loader

Sass loader for webpack

#### script-loader

script loader module for webpack

#### shelljs

Portable Unix shell commands for Node.js

#### silent-error

stackless unless otherwise requested error

#### source-map-loader

extracts inlined source map and offers it to webpack

#### sourcemap-istanbul-instrumenter-loader

Istanbul instrumenter loader for webpack

#### string-replace-loader

Replace loader for Webpack

#### style-loader

style loader module for webpack

#### stylus

Robust, expressive, and feature-rich CSS superset

#### stylus-loader

Stylus loader for webpack

#### symlink-or-copy

Symlink files or directories, falling back to copying on Windows

#### ts-loader

TypeScript loader for webpack

#### tslint

An extensible static analysis linter for the TypeScript language

#### tslint-loader

tslint loader for webpack

#### typedoc

Create api documentations for typescript projects.

#### typescript

TypeScript is a language for application scale JavaScript development

#### url-loader

url loader module for webpack

#### webpack

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jade, coffee, css, less, ... and your custom stuff.

#### webpack-dev-server

Serves a webpack app. Updates the browser on changes

#### webpack-md5-hash

Plugin to replace a standard webpack chunkhash with md5.

#### webpack-merge

Variant of merge that's useful for Webpack configuration

#### zone.js

Zones for JavaScript

## Development dependencies

#### chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

#### conventional-changelog

Generate a changelog from git metadata

#### dtsgenerator

TypeScript d.ts file generator for JSON Schema file

#### eslint

An AST-based pattern checker for JavaScript.

#### exists-sync

existsSync that also checks for symlinks

#### express

Fast, unopinionated, minimalist web framework

#### jasmine

The jasmine module is a package of helper code for developing Jasmine projects for Node.js.

#### jasmine-spec-reporter

Spec reporter for jasmine behavior-driven development framework

#### minimatch

a glob matcher in javascript

#### minimist

parse argument options

#### mocha

simple, flexible, fun test framework

#### mock-fs

A configurable mock file system. You know, for testing.

#### npm-run

Run executables for locally-installed packages without using ./node_modules/.bin

#### object-assign

ES2015 Object.assign() ponyfill

#### request

Simplified HTTP request client.

#### resolve-bin

Resolves the full path to the bin file of a given package by inspecting the &quot;bin&quot; field in its package.json.

#### rewire

Easy dependency injection for node.js unit testing

#### sinon

JavaScript test spies, stubs and mocks.

#### through

simplified stream construction

#### tree-kill

kill trees of processes

#### ts-node

TypeScript execution environment and REPL for node

#### tslint

An extensible static analysis linter for the TypeScript language

#### walk-sync

Get an array of recursive directory contents
