# ember-cli

## Project creation

The tool starts with ember new and the name of the project, it gives feedback to
the user, by informing the user of the files that it has created successfully,
finally it informs the user the node packages, the bower packages and git has
been successfully created.

It creates a boiler plate application that prompts you to learn more about ember
development.

## Production dependencies

#### amd-name-resolver

AMD module name resolver algorithm

#### bower

Front-end package manager

#### bower-config

Bower config reader and writer

#### bower-endpoint-parser

Module that helps with endpoints parsing.

#### broccoli-babel-transpiler

A Broccoli plugin which transpiles ES6 to readable ES5 by using babel.

#### broccoli-brocfile-loader

Find and load Brocfile.js files for use with the Broccoli asset builder

#### broccoli-builder

Fast client-side asset builder

#### broccoli-concat

Fast, good-enough concatenation with source maps.

#### broccoli-config-loader

Write your project's environments' configs out to JSON files.

#### broccoli-config-replace

Simple templating using a config.json and regex patterns

#### broccoli-funnel

Broccoli plugin that allows you to filter files selected from an input node down based on regular expressions.

#### broccoli-funnel-reducer

Funnel reducer.

#### broccoli-merge-trees

Broccoli plugin to merge multiple trees into one

#### ember-cli-broccoli-sane-watcher

Alternative watcher that uses sane module instead of polling

#### broccoli-middleware

Broccoli asset builder middleware

#### broccoli-source

Broccoli plugin for referring to source directories on the file system

#### broccoli-stew

Provides commonly used convenience functions for developing broccoli based build pipelines.

#### chalk

Terminal string styling done right. Much color.

#### clean-base-url

Clean base url

#### compression

Node.js compression middleware

#### configstore

Easily load and save config without having to think about where and how

#### core-object

A lightweight implementation of OOP Class in JavaScript

#### diff

A javascript text diff implementation.

#### ember-cli-get-component-path-option

Ember cli get component path option

#### ember-cli-is-package-missing

Extracted for use in blueprints and addons

#### ember-cli-legacy-blueprints

The default blueprint for ember-cli addons.

#### ember-cli-lodash-subset

Ember cli lodash subset

#### ember-cli-normalize-entity-name

Extracted for blueprints and addons

#### ember-cli-preprocess-registry

Preprocessor registry used internally by ember-cli.

#### ember-cli-string-utils

String utils extracted for other addons and blueprints

#### ember-try

An ember-cli addon to test against multiple bower dependencies, such as ember and ember-data.

#### escape-string-regexp

Escape RegExp special characters

#### exists-sync

existsSync that also checks for symlinks

#### exit

A replacement for process.exit that ensures stdio are fully drained before exiting.

#### express

Web server

#### filesize

JavaScript library to generate a human readable String describing the file size

#### find-up

Find a file by walking up parent directories

#### fs-extra

fs-extra contains methods that aren't included in the vanilla Node.js fs package. Such as mkdir -p, cp -r, and rm -rf.

#### fs-tree-diff

FSTree provides the means to calculate a patch (set of operations) between one file system tree and another.

#### get-caller-file

Call this function in a another function to find out the file from
which that function was called from

#### git-repo-info

Retrieve current sha and branch name from a git repo.

#### glob

Match files using the patterns the shell uses, like stars and stuff.

#### heimdalljs-fs-monitor

fs operation monitoring for heimdalljs

#### heimdalljs-logger

Structured logging via heimdalljs

#### http-proxy

HTTP programmable proxying library that supports websockets. It is suitable for implementing components such as reverse proxies and load balancers.

#### inflection

inflection-js is a port of the functionality from Ruby on Rails' Active Support Inflection classes into Javascript.

#### inquirer

A collection of common interactive command line user interfaces.

#### is-git-url

Regex to validate that a URL is a git url.

#### isbinaryfile

Detects if a file is binary in Node.js. Similar to Perl's -B.

#### leek

Google Analytics tracking

#### markdown-it

Markdown-it - modern pluggable markdown parser.

#### lodash.template

The lodash method <code>\_.template</code> exported as a module.

#### markdown-it-terminal

Plugin for markdown-it to parse and output markdown formatted for the terminal

#### minimatch

a glob matcher in javascript

#### morgan

HTTP request logger middleware for node.js

#### node-modules-path

Return the local node_modules path by default

#### node-uuid

Rigorous implementation of RFC4122 (v1 and v4) UUIDs.

#### nopt

Option parsing for Node, supporting types, shorthands, etc. Used by npm.

#### npm

a package manager for JavaScript

#### npm-package-arg

Parse the things that can be arguments to `npm install`

#### ora

Elegant terminal spinner

#### portfinder

A simple tool to find an open port on the current machine

#### promise-map-series

Map over array avoiding parallel execution, using promises

#### quick-temp

Create and remove temporary directories with minimal effort

#### resolve

resolve like require.resolve() on behalf of files asynchronously and synchronously

#### rsvp

A lightweight library that provides tools for organizing asynchronous code

#### sane

Sane aims to be fast, small, and reliable file system watcher.

#### semver

The semantic version parser used by npm.

#### silent-error

stackless unless otherwise requested error

#### symlink-or-copy

Symlink files or directories, falling back to copying on Windows

#### temp

Temporary files, directories, and streams for Node.js.

#### testem

Test'em 'scripts! Javascript Unit testing made easy.

#### through

simplified stream construction

#### tiny-lr

Tiny LiveReload server, background-friendly

#### tree-sync

A module for repeated efficient synchronizing two directories.

#### walk-sync

Get an array of recursive directory contents

#### yam

Dead simple storage interface

## Development dependencies

#### broccoli-filter

Helper base class for Broccoli plugins that map input files into output files one-to-one

#### broccoli-plugin

Base class for all Broccoli plugins

#### chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

#### chai-as-promised

Extends Chai with assertions about promises.

#### chai-files

file system assertions for chai

#### ember-cli-blueprint-test-helpers

Blueprint test helpers for ember-cli. Mocks ember-cli for generate and destroy commands.

#### ember-cli-internal-test-helpers

Internal test helpers for ember-cli

#### eslint-plugin-chai-expect

ESLint plugin that checks for common chai.js expect() mistakes

#### github

NodeJS wrapper for the GitHub API

#### istanbul

Yet another JS code coverage tool that computes statement, line, function and branch coverage with module loader hooks to transparently add coverage when running tests. Supports all JS coverage use cases including unit tests, server side functional tests

#### mocha

Mocha is a simple, flexible, fun JavaScript test framework for node.js and the browser.

#### mocha-eslint

run ESLint as mocha tests

#### mocha-only-detector

Detect forgotten <code>describe.only</code> and <code>it.only</code> in mocha tests.

#### multiline

No more string concatenation or array join!

#### nock

Nock is an HTTP mocking and expectations library for Node.js

#### proxyquire

Proxies nodejs require in order to allow overriding dependencies during testing.

#### supertest

SuperAgent driven library for testing HTTP servers

#### testdouble

testdouble

#### yuidocjs

YUIDoc, YUI's JavaScript Documentation engine.

#### yuidoc-ember-cli-theme

YUIDoc theme for Ember CLI
